%define name openuniverse
%define version 1.0
%define release 0.beta3.11mdk
%define prefix %{_prefix}

Summary: OpenGL Space Simulator
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Toys
Source: http://download.sourceforge.net/openuniverse/%{name}-1.0beta3.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
Patch0: openuniverse-fix-build.patch.bz2
Patch1: openuniverse-configuration.patch.bz2
Patch2: openuniverse-libm.patch.bz2
Patch3: openuniverse-1.0beta3-fix-gcc31-.patch.bz2
URL: http://www.openuniverse.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRequires: bison flex Mesa-common-devel libjpeg-devel
Buildrequires: libMesaGLU1-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
OpenUniverse (OU) is a fun, fast and free OpenGL space simulator. It
currently focuses on the Solar System and lets you visit all of its
planets, most major moons and a vast collection of smaller bodies in
colorful, glorious and realtime 3D. If you've ever had a chance to visit
Mercury or asteroid Geographos, here you'll find them looking exactly the
same way, following exactly the same path as when you've left them.

%prep
%setup -q -n %{name}-1.0beta3
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0

%build
# autoconf run required by patch2, to regenerate configure
autoconf
%configure
make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Toys" title="OpenUniverse" \
  longtitle="OpenGL Space Simulator"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING docs/*.html docs/*.gif docs/BUGS.TXT
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Aug 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta3.11mdk
- rebuild

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta3.10mdk
- buildrequires libMesaGLU1-devel

* Thu Jun 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.beta3.9mdk
- png icons

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.8mdk
- rebuild to link against latest libstdc++

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.7mdk
- fix binary-or-shlib-defines-rpath by removing the useless add of
  AC_PROG_LIBTOOL added by Jeff (Jeff sucks)

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta3.6mdk
- BuildRequires:	bison flex
- Copyright --> License

* Sun Jul 15 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0-0.beta3.5mdk
- Patch2: Make sure to link in libm before checking for libGLU

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.4mdk
- rebuild

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta3.3mdk
- BuildRequires:	Mesa-common-devel libjpeg-devel

* Sat Mar 03 2001 Daouda Lo <daouda@mandrakesoft.com> 1.0-0.beta3.2mdk
- fix segfault 

* Fri Nov 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- first mdk package

